Index: trip-planner-front/node_modules/import-local/node_modules/find-up/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/find-up/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/node_modules/find-up/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,86 +1,50 @@
 {
-  "_args": [
-    [
-      "find-up@3.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "find-up@3.0.0",
-  "_id": "find-up@3.0.0",
-  "_inBundle": false,
-  "_integrity": "sha512-1yD6RmLI1XBfxugvORwlck6f75tYL+iR0jqwsOrOxMZyGYqUuDhJ0l4AXdO1iX/FTs9cBAMEk1gWSEx1kSbylg==",
-  "_location": "/import-local/find-up",
-  "_phantomChildren": {},
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "find-up@3.0.0",
-    "name": "find-up",
-    "escapedName": "find-up",
-    "rawSpec": "3.0.0",
-    "saveSpec": null,
-    "fetchSpec": "3.0.0"
-  },
-  "_requiredBy": [
-    "/import-local/pkg-dir"
-  ],
-  "_resolved": "https://registry.npmjs.org/find-up/-/find-up-3.0.0.tgz",
-  "_spec": "3.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
-  "author": {
-    "name": "Sindre Sorhus",
-    "email": "sindresorhus@gmail.com",
-    "url": "sindresorhus.com"
-  },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/find-up/issues"
-  },
-  "dependencies": {
-    "locate-path": "^3.0.0"
-  },
-  "description": "Find a file or directory by walking up parent directories",
-  "devDependencies": {
-    "ava": "*",
-    "tempy": "^0.2.1",
-    "xo": "*"
-  },
-  "engines": {
-    "node": ">=6"
-  },
-  "files": [
-    "index.js"
-  ],
-  "homepage": "https://github.com/sindresorhus/find-up#readme",
-  "keywords": [
-    "find",
-    "up",
-    "find-up",
-    "findup",
-    "look-up",
-    "look",
-    "file",
-    "search",
-    "match",
-    "package",
-    "resolve",
-    "parent",
-    "parents",
-    "folder",
-    "directory",
-    "dir",
-    "walk",
-    "walking",
-    "path"
-  ],
-  "license": "MIT",
-  "name": "find-up",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/find-up.git"
-  },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "3.0.0"
+	"name": "find-up",
+	"version": "3.0.0",
+	"description": "Find a file or directory by walking up parent directories",
+	"license": "MIT",
+	"repository": "sindresorhus/find-up",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava"
+	},
+	"files": [
+		"index.js"
+	],
+	"keywords": [
+		"find",
+		"up",
+		"find-up",
+		"findup",
+		"look-up",
+		"look",
+		"file",
+		"search",
+		"match",
+		"package",
+		"resolve",
+		"parent",
+		"parents",
+		"folder",
+		"directory",
+		"dir",
+		"walk",
+		"walking",
+		"path"
+	],
+	"dependencies": {
+		"locate-path": "^3.0.0"
+	},
+	"devDependencies": {
+		"ava": "*",
+		"tempy": "^0.2.1",
+		"xo": "*"
+	}
 }
Index: trip-planner-front/node_modules/import-local/node_modules/locate-path/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/locate-path/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/node_modules/locate-path/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,80 +1,44 @@
 {
-  "_args": [
-    [
-      "locate-path@3.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "locate-path@3.0.0",
-  "_id": "locate-path@3.0.0",
-  "_inBundle": false,
-  "_integrity": "sha512-7AO748wWnIhNqAuaty2ZWHkQHRSNfPVIsPIfwEOWO22AmaoVrWavlOcMR5nzTLNYvp36X220/maaRsrec1G65A==",
-  "_location": "/import-local/locate-path",
-  "_phantomChildren": {},
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "locate-path@3.0.0",
-    "name": "locate-path",
-    "escapedName": "locate-path",
-    "rawSpec": "3.0.0",
-    "saveSpec": null,
-    "fetchSpec": "3.0.0"
-  },
-  "_requiredBy": [
-    "/import-local/find-up"
-  ],
-  "_resolved": "https://registry.npmjs.org/locate-path/-/locate-path-3.0.0.tgz",
-  "_spec": "3.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
-  "author": {
-    "name": "Sindre Sorhus",
-    "email": "sindresorhus@gmail.com",
-    "url": "sindresorhus.com"
-  },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/locate-path/issues"
-  },
-  "dependencies": {
-    "p-locate": "^3.0.0",
-    "path-exists": "^3.0.0"
-  },
-  "description": "Get the first path that exists on disk of multiple paths",
-  "devDependencies": {
-    "ava": "*",
-    "xo": "*"
-  },
-  "engines": {
-    "node": ">=6"
-  },
-  "files": [
-    "index.js"
-  ],
-  "homepage": "https://github.com/sindresorhus/locate-path#readme",
-  "keywords": [
-    "locate",
-    "path",
-    "paths",
-    "file",
-    "files",
-    "exists",
-    "find",
-    "finder",
-    "search",
-    "searcher",
-    "array",
-    "iterable",
-    "iterator"
-  ],
-  "license": "MIT",
-  "name": "locate-path",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/locate-path.git"
-  },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "3.0.0"
+	"name": "locate-path",
+	"version": "3.0.0",
+	"description": "Get the first path that exists on disk of multiple paths",
+	"license": "MIT",
+	"repository": "sindresorhus/locate-path",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava"
+	},
+	"files": [
+		"index.js"
+	],
+	"keywords": [
+		"locate",
+		"path",
+		"paths",
+		"file",
+		"files",
+		"exists",
+		"find",
+		"finder",
+		"search",
+		"searcher",
+		"array",
+		"iterable",
+		"iterator"
+	],
+	"dependencies": {
+		"p-locate": "^3.0.0",
+		"path-exists": "^3.0.0"
+	},
+	"devDependencies": {
+		"ava": "*",
+		"xo": "*"
+	}
 }
Index: trip-planner-front/node_modules/import-local/node_modules/p-limit/index.d.ts
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-limit/index.d.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/import-local/node_modules/p-limit/index.d.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -0,0 +1,38 @@
+export interface Limit {
+	/**
+	@param fn - Promise-returning/async function.
+	@param arguments - Any arguments to pass through to `fn`. Support for passing arguments on to the `fn` is provided in order to be able to avoid creating unnecessary closures. You probably don't need this optimization unless you're pushing a lot of functions.
+	@returns The promise returned by calling `fn(...arguments)`.
+	*/
+	<Arguments extends unknown[], ReturnType>(
+		fn: (...arguments: Arguments) => PromiseLike<ReturnType> | ReturnType,
+		...arguments: Arguments
+	): Promise<ReturnType>;
+
+	/**
+	The number of promises that are currently running.
+	*/
+	readonly activeCount: number;
+
+	/**
+	The number of promises that are waiting to run (i.e. their internal `fn` was not called yet).
+	*/
+	readonly pendingCount: number;
+
+	/**
+	Discard pending promises that are waiting to run.
+
+	This might be useful if you want to teardown the queue at the end of your program's lifecycle or discard any function calls referencing an intermediary state of your app.
+
+	Note: This does not cancel promises that are already running.
+	*/
+	clearQueue(): void;
+}
+
+/**
+Run multiple promise-returning & async functions with limited concurrency.
+
+@param concurrency - Concurrency limit. Minimum: `1`.
+@returns A `limit` function.
+*/
+export default function pLimit(concurrency: number): Limit;
Index: trip-planner-front/node_modules/import-local/node_modules/p-limit/index.js
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-limit/index.js	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/import-local/node_modules/p-limit/index.js	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -0,0 +1,57 @@
+'use strict';
+const pTry = require('p-try');
+
+const pLimit = concurrency => {
+	if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
+		return Promise.reject(new TypeError('Expected `concurrency` to be a number from 1 and up'));
+	}
+
+	const queue = [];
+	let activeCount = 0;
+
+	const next = () => {
+		activeCount--;
+
+		if (queue.length > 0) {
+			queue.shift()();
+		}
+	};
+
+	const run = (fn, resolve, ...args) => {
+		activeCount++;
+
+		const result = pTry(fn, ...args);
+
+		resolve(result);
+
+		result.then(next, next);
+	};
+
+	const enqueue = (fn, resolve, ...args) => {
+		if (activeCount < concurrency) {
+			run(fn, resolve, ...args);
+		} else {
+			queue.push(run.bind(null, fn, resolve, ...args));
+		}
+	};
+
+	const generator = (fn, ...args) => new Promise(resolve => enqueue(fn, resolve, ...args));
+	Object.defineProperties(generator, {
+		activeCount: {
+			get: () => activeCount
+		},
+		pendingCount: {
+			get: () => queue.length
+		},
+		clearQueue: {
+			value: () => {
+				queue.length = 0;
+			}
+		}
+	});
+
+	return generator;
+};
+
+module.exports = pLimit;
+module.exports.default = pLimit;
Index: trip-planner-front/node_modules/import-local/node_modules/p-limit/license
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-limit/license	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/import-local/node_modules/p-limit/license	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -0,0 +1,9 @@
+MIT License
+
+Copyright (c) Sindre Sorhus <sindresorhus@gmail.com> (sindresorhus.com)
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
Index: trip-planner-front/node_modules/import-local/node_modules/p-limit/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-limit/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/import-local/node_modules/p-limit/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -0,0 +1,52 @@
+{
+	"name": "p-limit",
+	"version": "2.3.0",
+	"description": "Run multiple promise-returning & async functions with limited concurrency",
+	"license": "MIT",
+	"repository": "sindresorhus/p-limit",
+	"funding": "https://github.com/sponsors/sindresorhus",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava && tsd-check"
+	},
+	"files": [
+		"index.js",
+		"index.d.ts"
+	],
+	"keywords": [
+		"promise",
+		"limit",
+		"limited",
+		"concurrency",
+		"throttle",
+		"throat",
+		"rate",
+		"batch",
+		"ratelimit",
+		"task",
+		"queue",
+		"async",
+		"await",
+		"promises",
+		"bluebird"
+	],
+	"dependencies": {
+		"p-try": "^2.0.0"
+	},
+	"devDependencies": {
+		"ava": "^1.2.1",
+		"delay": "^4.1.0",
+		"in-range": "^1.0.0",
+		"random-int": "^1.0.0",
+		"time-span": "^2.0.0",
+		"tsd-check": "^0.3.0",
+		"xo": "^0.24.0"
+	}
+}
Index: trip-planner-front/node_modules/import-local/node_modules/p-limit/readme.md
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-limit/readme.md	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/import-local/node_modules/p-limit/readme.md	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -0,0 +1,101 @@
+# p-limit [![Build Status](https://travis-ci.org/sindresorhus/p-limit.svg?branch=master)](https://travis-ci.org/sindresorhus/p-limit)
+
+> Run multiple promise-returning & async functions with limited concurrency
+
+## Install
+
+```
+$ npm install p-limit
+```
+
+## Usage
+
+```js
+const pLimit = require('p-limit');
+
+const limit = pLimit(1);
+
+const input = [
+	limit(() => fetchSomething('foo')),
+	limit(() => fetchSomething('bar')),
+	limit(() => doSomething())
+];
+
+(async () => {
+	// Only one promise is run at once
+	const result = await Promise.all(input);
+	console.log(result);
+})();
+```
+
+## API
+
+### pLimit(concurrency)
+
+Returns a `limit` function.
+
+#### concurrency
+
+Type: `number`\
+Minimum: `1`\
+Default: `Infinity`
+
+Concurrency limit.
+
+### limit(fn, ...args)
+
+Returns the promise returned by calling `fn(...args)`.
+
+#### fn
+
+Type: `Function`
+
+Promise-returning/async function.
+
+#### args
+
+Any arguments to pass through to `fn`.
+
+Support for passing arguments on to the `fn` is provided in order to be able to avoid creating unnecessary closures. You probably don't need this optimization unless you're pushing a *lot* of functions.
+
+### limit.activeCount
+
+The number of promises that are currently running.
+
+### limit.pendingCount
+
+The number of promises that are waiting to run (i.e. their internal `fn` was not called yet).
+
+### limit.clearQueue()
+
+Discard pending promises that are waiting to run.
+
+This might be useful if you want to teardown the queue at the end of your program's lifecycle or discard any function calls referencing an intermediary state of your app.
+
+Note: This does not cancel promises that are already running.
+
+## FAQ
+
+### How is this different from the [`p-queue`](https://github.com/sindresorhus/p-queue) package?
+
+This package is only about limiting the number of concurrent executions, while `p-queue` is a fully featured queue implementation with lots of different options, introspection, and ability to pause the queue.
+
+## Related
+
+- [p-queue](https://github.com/sindresorhus/p-queue) - Promise queue with concurrency control
+- [p-throttle](https://github.com/sindresorhus/p-throttle) - Throttle promise-returning & async functions
+- [p-debounce](https://github.com/sindresorhus/p-debounce) - Debounce promise-returning & async functions
+- [p-all](https://github.com/sindresorhus/p-all) - Run promise-returning & async functions concurrently with optional limited concurrency
+- [More…](https://github.com/sindresorhus/promise-fun)
+
+---
+
+<div align="center">
+	<b>
+		<a href="https://tidelift.com/subscription/pkg/npm-p-limit?utm_source=npm-p-limit&utm_medium=referral&utm_campaign=readme">Get professional support for this package with a Tidelift subscription</a>
+	</b>
+	<br>
+	<sub>
+		Tidelift helps make open source sustainable for maintainers while giving companies<br>assurances about security, maintenance, and licensing for their dependencies.
+	</sub>
+</div>
Index: trip-planner-front/node_modules/import-local/node_modules/p-locate/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/p-locate/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/node_modules/p-locate/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,87 +1,51 @@
 {
-  "_args": [
-    [
-      "p-locate@3.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "p-locate@3.0.0",
-  "_id": "p-locate@3.0.0",
-  "_inBundle": false,
-  "_integrity": "sha512-x+12w/To+4GFfgJhBEpiDcLozRJGegY+Ei7/z0tSLkMmxGZNybVMSfWj9aJn8Z5Fc7dBUNJOOVgPv2H7IwulSQ==",
-  "_location": "/import-local/p-locate",
-  "_phantomChildren": {},
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "p-locate@3.0.0",
-    "name": "p-locate",
-    "escapedName": "p-locate",
-    "rawSpec": "3.0.0",
-    "saveSpec": null,
-    "fetchSpec": "3.0.0"
-  },
-  "_requiredBy": [
-    "/import-local/locate-path"
-  ],
-  "_resolved": "https://registry.npmjs.org/p-locate/-/p-locate-3.0.0.tgz",
-  "_spec": "3.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
-  "author": {
-    "name": "Sindre Sorhus",
-    "email": "sindresorhus@gmail.com",
-    "url": "sindresorhus.com"
-  },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/p-locate/issues"
-  },
-  "dependencies": {
-    "p-limit": "^2.0.0"
-  },
-  "description": "Get the first fulfilled promise that satisfies the provided testing function",
-  "devDependencies": {
-    "ava": "*",
-    "delay": "^3.0.0",
-    "in-range": "^1.0.0",
-    "time-span": "^2.0.0",
-    "xo": "*"
-  },
-  "engines": {
-    "node": ">=6"
-  },
-  "files": [
-    "index.js"
-  ],
-  "homepage": "https://github.com/sindresorhus/p-locate#readme",
-  "keywords": [
-    "promise",
-    "locate",
-    "find",
-    "finder",
-    "search",
-    "searcher",
-    "test",
-    "array",
-    "collection",
-    "iterable",
-    "iterator",
-    "race",
-    "fulfilled",
-    "fastest",
-    "async",
-    "await",
-    "promises",
-    "bluebird"
-  ],
-  "license": "MIT",
-  "name": "p-locate",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/p-locate.git"
-  },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "3.0.0"
+	"name": "p-locate",
+	"version": "3.0.0",
+	"description": "Get the first fulfilled promise that satisfies the provided testing function",
+	"license": "MIT",
+	"repository": "sindresorhus/p-locate",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava"
+	},
+	"files": [
+		"index.js"
+	],
+	"keywords": [
+		"promise",
+		"locate",
+		"find",
+		"finder",
+		"search",
+		"searcher",
+		"test",
+		"array",
+		"collection",
+		"iterable",
+		"iterator",
+		"race",
+		"fulfilled",
+		"fastest",
+		"async",
+		"await",
+		"promises",
+		"bluebird"
+	],
+	"dependencies": {
+		"p-limit": "^2.0.0"
+	},
+	"devDependencies": {
+		"ava": "*",
+		"delay": "^3.0.0",
+		"in-range": "^1.0.0",
+		"time-span": "^2.0.0",
+		"xo": "*"
+	}
 }
Index: trip-planner-front/node_modules/import-local/node_modules/path-exists/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/path-exists/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/node_modules/path-exists/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,32 +1,8 @@
 {
-  "_args": [
-    [
-      "path-exists@3.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "path-exists@3.0.0",
-  "_id": "path-exists@3.0.0",
-  "_inBundle": false,
-  "_integrity": "sha1-zg6+ql94yxiSXqfYENe1mwEP1RU=",
-  "_location": "/import-local/path-exists",
-  "_phantomChildren": {},
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "path-exists@3.0.0",
-    "name": "path-exists",
-    "escapedName": "path-exists",
-    "rawSpec": "3.0.0",
-    "saveSpec": null,
-    "fetchSpec": "3.0.0"
-  },
-  "_requiredBy": [
-    "/import-local/locate-path"
-  ],
-  "_resolved": "https://registry.npmjs.org/path-exists/-/path-exists-3.0.0.tgz",
-  "_spec": "3.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "name": "path-exists",
+  "version": "3.0.0",
+  "description": "Check if a path exists",
+  "license": "MIT",
+  "repository": "sindresorhus/path-exists",
   "author": {
     "name": "Sindre Sorhus",
@@ -34,19 +10,13 @@
     "url": "sindresorhus.com"
   },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/path-exists/issues"
-  },
-  "description": "Check if a path exists",
-  "devDependencies": {
-    "ava": "*",
-    "xo": "*"
-  },
   "engines": {
     "node": ">=4"
+  },
+  "scripts": {
+    "test": "xo && ava"
   },
   "files": [
     "index.js"
   ],
-  "homepage": "https://github.com/sindresorhus/path-exists#readme",
   "keywords": [
     "path",
@@ -61,14 +31,8 @@
     "stat"
   ],
-  "license": "MIT",
-  "name": "path-exists",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/path-exists.git"
+  "devDependencies": {
+    "ava": "*",
+    "xo": "*"
   },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "3.0.0",
   "xo": {
     "esnext": true
Index: trip-planner-front/node_modules/import-local/node_modules/pkg-dir/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/node_modules/pkg-dir/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/node_modules/pkg-dir/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,89 +1,53 @@
 {
-  "_args": [
-    [
-      "pkg-dir@3.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "pkg-dir@3.0.0",
-  "_id": "pkg-dir@3.0.0",
-  "_inBundle": false,
-  "_integrity": "sha512-/E57AYkoeQ25qkxMj5PBOVgF8Kiu/h7cYS30Z5+R7WaiCCBfLq58ZI/dSeaEKb9WVJV5n/03QwrN3IeWIFllvw==",
-  "_location": "/import-local/pkg-dir",
-  "_phantomChildren": {},
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "pkg-dir@3.0.0",
-    "name": "pkg-dir",
-    "escapedName": "pkg-dir",
-    "rawSpec": "3.0.0",
-    "saveSpec": null,
-    "fetchSpec": "3.0.0"
-  },
-  "_requiredBy": [
-    "/import-local"
-  ],
-  "_resolved": "https://registry.npmjs.org/pkg-dir/-/pkg-dir-3.0.0.tgz",
-  "_spec": "3.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
-  "author": {
-    "name": "Sindre Sorhus",
-    "email": "sindresorhus@gmail.com",
-    "url": "sindresorhus.com"
-  },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/pkg-dir/issues"
-  },
-  "dependencies": {
-    "find-up": "^3.0.0"
-  },
-  "description": "Find the root directory of a Node.js project or npm package",
-  "devDependencies": {
-    "ava": "*",
-    "xo": "*"
-  },
-  "engines": {
-    "node": ">=6"
-  },
-  "files": [
-    "index.js"
-  ],
-  "homepage": "https://github.com/sindresorhus/pkg-dir#readme",
-  "keywords": [
-    "package",
-    "json",
-    "root",
-    "npm",
-    "entry",
-    "find",
-    "up",
-    "find-up",
-    "findup",
-    "look-up",
-    "look",
-    "file",
-    "search",
-    "match",
-    "resolve",
-    "parent",
-    "parents",
-    "folder",
-    "directory",
-    "dir",
-    "walk",
-    "walking",
-    "path"
-  ],
-  "license": "MIT",
-  "name": "pkg-dir",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/pkg-dir.git"
-  },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "3.0.0"
+	"name": "pkg-dir",
+	"version": "3.0.0",
+	"description": "Find the root directory of a Node.js project or npm package",
+	"license": "MIT",
+	"repository": "sindresorhus/pkg-dir",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava"
+	},
+	"files": [
+		"index.js"
+	],
+	"keywords": [
+		"package",
+		"json",
+		"root",
+		"npm",
+		"entry",
+		"find",
+		"up",
+		"find-up",
+		"findup",
+		"look-up",
+		"look",
+		"file",
+		"search",
+		"match",
+		"resolve",
+		"parent",
+		"parents",
+		"folder",
+		"directory",
+		"dir",
+		"walk",
+		"walking",
+		"path"
+	],
+	"dependencies": {
+		"find-up": "^3.0.0"
+	},
+	"devDependencies": {
+		"ava": "*",
+		"xo": "*"
+	}
 }
Index: trip-planner-front/node_modules/import-local/package.json
===================================================================
--- trip-planner-front/node_modules/import-local/package.json	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/node_modules/import-local/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,89 +1,51 @@
 {
-  "_args": [
-    [
-      "import-local@2.0.0",
-      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
-    ]
-  ],
-  "_development": true,
-  "_from": "import-local@2.0.0",
-  "_id": "import-local@2.0.0",
-  "_inBundle": false,
-  "_integrity": "sha512-b6s04m3O+s3CGSbqDIyP4R6aAwAeYlVq9+WUWep6iHa8ETRf9yei1U48C5MmfJmV9AiLYYBKPMq/W+/WRpQmCQ==",
-  "_location": "/import-local",
-  "_phantomChildren": {
-    "p-try": "2.2.0"
-  },
-  "_requested": {
-    "type": "version",
-    "registry": true,
-    "raw": "import-local@2.0.0",
-    "name": "import-local",
-    "escapedName": "import-local",
-    "rawSpec": "2.0.0",
-    "saveSpec": null,
-    "fetchSpec": "2.0.0"
-  },
-  "_requiredBy": [
-    "/webpack-dev-server"
-  ],
-  "_resolved": "https://registry.npmjs.org/import-local/-/import-local-2.0.0.tgz",
-  "_spec": "2.0.0",
-  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
-  "author": {
-    "name": "Sindre Sorhus",
-    "email": "sindresorhus@gmail.com",
-    "url": "sindresorhus.com"
-  },
-  "bin": {
-    "import-local-fixture": "fixtures/cli.js"
-  },
-  "bugs": {
-    "url": "https://github.com/sindresorhus/import-local/issues"
-  },
-  "dependencies": {
-    "pkg-dir": "^3.0.0",
-    "resolve-cwd": "^2.0.0"
-  },
-  "description": "Let a globally installed package use a locally installed version of itself if available",
-  "devDependencies": {
-    "ava": "*",
-    "cpy": "^7.0.1",
-    "del": "^3.0.0",
-    "execa": "^0.11.0",
-    "xo": "*"
-  },
-  "engines": {
-    "node": ">=6"
-  },
-  "files": [
-    "index.js",
-    "fixtures/cli.js"
-  ],
-  "homepage": "https://github.com/sindresorhus/import-local#readme",
-  "keywords": [
-    "import",
-    "local",
-    "require",
-    "resolve",
-    "global",
-    "version",
-    "prefer",
-    "cli"
-  ],
-  "license": "MIT",
-  "name": "import-local",
-  "repository": {
-    "type": "git",
-    "url": "git+https://github.com/sindresorhus/import-local.git"
-  },
-  "scripts": {
-    "test": "xo && ava"
-  },
-  "version": "2.0.0",
-  "xo": {
-    "ignores": [
-      "fixtures"
-    ]
-  }
+	"name": "import-local",
+	"version": "2.0.0",
+	"description": "Let a globally installed package use a locally installed version of itself if available",
+	"license": "MIT",
+	"repository": "sindresorhus/import-local",
+	"author": {
+		"name": "Sindre Sorhus",
+		"email": "sindresorhus@gmail.com",
+		"url": "sindresorhus.com"
+	},
+	"bin": {
+		"import-local-fixture": "fixtures/cli.js"
+	},
+	"engines": {
+		"node": ">=6"
+	},
+	"scripts": {
+		"test": "xo && ava"
+	},
+	"files": [
+		"index.js",
+		"fixtures/cli.js"
+	],
+	"keywords": [
+		"import",
+		"local",
+		"require",
+		"resolve",
+		"global",
+		"version",
+		"prefer",
+		"cli"
+	],
+	"dependencies": {
+		"pkg-dir": "^3.0.0",
+		"resolve-cwd": "^2.0.0"
+	},
+	"devDependencies": {
+		"ava": "*",
+		"cpy": "^7.0.1",
+		"del": "^3.0.0",
+		"execa": "^0.11.0",
+		"xo": "*"
+	},
+	"xo": {
+		"ignores": [
+			"fixtures"
+		]
+	}
 }