Index: resources/assets/css/app.min.css
===================================================================
--- resources/assets/css/app.min.css	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/assets/css/app.min.css	(revision 7fa13fa72353a1a62629444ef1a7ee27209ac765)
@@ -3349,7 +3349,6 @@
 }
 
-* {
+*:not(img) {
   min-width: 0;
-  min-height: 0;
 }
 
@@ -3407,5 +3406,5 @@
 
 .preloader svg path {
-  fill: #0081ff;
+  fill: #2196F3;
 }
 
@@ -3434,6 +3433,6 @@
 
 .icon-block.icon-block-outline-primary {
-  border: 2px solid #0081ff;
-  color: #0081ff !important;
+  border: 2px solid #2196F3;
+  color: #2196F3 !important;
   background: none;
 }
@@ -3601,5 +3600,5 @@
 .custom-select:focus {
   box-shadow: none;
-  border-color: rgba(0, 129, 255, 0.8);
+  border-color: rgba(33, 150, 243, 0.8);
 }
 
@@ -3631,5 +3630,5 @@
 
 .custom-file-input:focus ~ .custom-file-label {
-  border-color: #339aff;
+  border-color: #51adf6;
   box-shadow: none;
 }
@@ -3648,6 +3647,6 @@
 .custom-radio .custom-control-input:checked ~ .custom-control-label::before,
 .custom-switch .custom-control-input:checked ~ .custom-control-label::before {
-  border-color: #0081ff;
-  background-color: #0081ff;
+  border-color: #2196F3;
+  background-color: #2196F3;
 }
 
@@ -3655,5 +3654,5 @@
 .custom-radio .custom-control-input:focus ~ .custom-control-label::before,
 .custom-switch .custom-control-input:focus ~ .custom-control-label::before {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.3);
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.3);
 }
 
@@ -3661,6 +3660,6 @@
 .custom-radio .custom-control-input:not(:disabled):active ~ .custom-control-label::before,
 .custom-switch .custom-control-input:not(:disabled):active ~ .custom-control-label::before {
-  border-color: #5caeff;
-  background-color: #5caeff;
+  border-color: #78bff8;
+  background-color: #78bff8;
 }
 
@@ -3794,9 +3793,9 @@
 
 .custom-range::-webkit-slider-thumb {
-  background-color: #0081ff;
+  background-color: #2196F3;
 }
 
 .custom-range::-webkit-slider-thumb:active {
-  background-color: #5caeff;
+  background-color: #78bff8;
 }
 
@@ -3914,5 +3913,5 @@
 .wizard > .steps .current a:hover,
 .wizard > .steps .current a:active {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -3988,5 +3987,5 @@
 
 .page-header .breadcrumb li.breadcrumb-item.active {
-  color: #0081ff;
+  color: #2196F3;
   font-weight: 600;
 }
@@ -4176,10 +4175,10 @@
 
 .bg-primary {
-  background: #0081ff !important;
+  background: #2196F3 !important;
   color: white !important;
 }
 
 .bg-primary-bright {
-  background: rgba(0, 129, 255, 0.3) !important;
+  background: rgba(33, 150, 243, 0.3) !important;
 }
 
@@ -4194,5 +4193,5 @@
 
 .bg-primary-gradient {
-  background: linear-gradient(230deg, #0081ff, #4da7ff) !important;
+  background: linear-gradient(230deg, #2196F3, #6ab8f7) !important;
   color: white !important;
 }
@@ -4435,5 +4434,5 @@
 
 .text-primary {
-  color: #0081ff !important;
+  color: #2196F3 !important;
 }
 
@@ -4577,5 +4576,5 @@
 ul.links .header form .input-group .input-group-append button.active.btn,
 .header form .input-group .input-group-append ul.links button.active.btn {
-  color: #0081ff;
+  color: #2196F3;
   font-weight: 500;
 }
@@ -4665,5 +4664,5 @@
 a.link-1,
 .header form .input-group .input-group-append button.link-1.btn {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -4672,5 +4671,5 @@
 a.link-1:focus,
 .header form .input-group .input-group-append button.link-1.btn:focus {
-  color: rgba(0, 129, 255, 0.8);
+  color: rgba(33, 150, 243, 0.8);
 }
 
@@ -4684,5 +4683,5 @@
 a.link-2:focus,
 .header form .input-group .input-group-append button.link-2.btn:focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -4696,5 +4695,5 @@
 a.link-3:focus,
 .header form .input-group .input-group-append button.link-3.btn:focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -4722,9 +4721,9 @@
 
 .page-link {
-  color: #0081ff;
+  color: #2196F3;
 }
 
 .page-link:not(:disabled):not(.disabled):focus {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.3);
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.3);
 }
 
@@ -4837,6 +4836,6 @@
 a.btn[href="#previous"],
 .header form .input-group .input-group-append button.btn[href="#previous"] {
-  background: #0081ff;
-  border-color: #0081ff;
+  background: #2196F3;
+  border-color: #2196F3;
 }
 
@@ -4856,6 +4855,6 @@
 a.btn[href="#previous"]:not(:disabled):not(.disabled):active,
 .header form .input-group .input-group-append button.btn[href="#previous"]:not(:disabled):not(.disabled):active {
-  background: #0067cc;
-  border-color: #0067cc;
+  background: #0c7cd5;
+  border-color: #0c7cd5;
 }
 
@@ -4865,5 +4864,5 @@
 a.btn[href="#previous"]:not(:disabled):not(.disabled):focus,
 .header form .input-group .input-group-append button.btn[href="#previous"]:not(:disabled):not(.disabled):focus {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.4) !important;
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.4) !important;
 }
 
@@ -4873,5 +4872,5 @@
 a.btn.btn-pulse[href="#previous"]:not(:disabled):not(.disabled),
 .header form .input-group .input-group-append button.btn.btn-pulse[href="#previous"]:not(:disabled):not(.disabled) {
-  box-shadow: 0 0 0 0 rgba(0, 129, 255, 0.9) !important;
+  box-shadow: 0 0 0 0 rgba(33, 150, 243, 0.9) !important;
   -webkit-animation: pulse 1.5s infinite !important;
 }
@@ -4886,5 +4885,5 @@
 
 .btn.btn-gradient-primary {
-  background: linear-gradient(20deg, #4da7ff, #0067cc);
+  background: linear-gradient(20deg, #6ab8f7, #0c7cd5);
   border-color: transparent;
   color: white;
@@ -4894,14 +4893,14 @@
 .btn.btn-gradient-primary:not(:disabled):not(.disabled):focus,
 .btn.btn-gradient-primary:not(:disabled):not(.disabled):active {
-  background: linear-gradient(20deg, #0081ff, #0067cc);
+  background: linear-gradient(20deg, #2196F3, #0c7cd5);
   border-color: transparent;
 }
 
 .btn.btn-gradient-primary:not(:disabled):not(.disabled):focus {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.5);
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.5);
 }
 
 .btn.btn-gradient-primary.btn-pulse:not(:disabled):not(.disabled) {
-  box-shadow: 0 0 0 0 rgba(0, 129, 255, 0.9) !important;
+  box-shadow: 0 0 0 0 rgba(33, 150, 243, 0.9) !important;
   -webkit-animation: pulse 1.5s infinite !important;
 }
@@ -4912,7 +4911,7 @@
 
 .btn.btn-light-primary {
-  background: rgba(0, 129, 255, 0.3);
+  background: rgba(33, 150, 243, 0.3);
   border-color: transparent;
-  color: #0053a3;
+  color: #0966af;
 }
 
@@ -4920,14 +4919,14 @@
 .btn.btn-light-primary:not(:disabled):not(.disabled):focus,
 .btn.btn-light-primary:not(:disabled):not(.disabled):active {
-  background: rgba(0, 129, 255, 0.5);
+  background: rgba(33, 150, 243, 0.5);
   border-color: transparent;
 }
 
 .btn.btn-light-primary:not(:disabled):not(.disabled):focus {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.2);
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.2);
 }
 
 .btn.btn-light-primary.btn-pulse:not(:disabled):not(.disabled) {
-  box-shadow: 0 0 0 0 rgba(0, 129, 255, 0.9) !important;
+  box-shadow: 0 0 0 0 rgba(33, 150, 243, 0.9) !important;
   -webkit-animation: pulse 1.5s infinite !important;
 }
@@ -4939,12 +4938,12 @@
 .btn.btn-outline-primary {
   background: none;
-  border-color: #0081ff;
-  color: #0074e6;
+  border-color: #2196F3;
+  color: #0d8aee;
   border-width: 1px;
 }
 
 .btn.btn-outline-primary:not(:disabled):not(.disabled):hover {
-  background: #0081ff;
-  border-color: #0081ff;
+  background: #2196F3;
+  border-color: #2196F3;
   color: white;
 }
@@ -4952,15 +4951,15 @@
 .btn.btn-outline-primary:not(:disabled):not(.disabled):focus,
 .btn.btn-outline-primary:not(:disabled):not(.disabled):active {
-  background: #0062c2;
-  border-color: #0062c2;
+  background: #0b76cc;
+  border-color: #0b76cc;
   color: white;
 }
 
 .btn.btn-outline-primary:not(:disabled):not(.disabled):focus {
-  box-shadow: 0 0 0 0.2rem rgba(0, 129, 255, 0.4);
+  box-shadow: 0 0 0 0.2rem rgba(33, 150, 243, 0.4);
 }
 
 .btn.btn-outline-primary.btn-pulse:not(:disabled):not(.disabled) {
-  box-shadow: 0 0 0 0 rgba(0, 129, 255, 0.9) !important;
+  box-shadow: 0 0 0 0 rgba(33, 150, 243, 0.9) !important;
   -webkit-animation: pulse 1.5s infinite !important;
 }
@@ -6521,5 +6520,5 @@
 
 .progress .progress-bar:not(.progress-bar-striped) {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -6579,5 +6578,5 @@
 
 .dropdown-menu .dropdown-menu-title {
-  background-color: #0081ff;
+  background-color: #2196F3;
   padding: 15px 20px;
   color: white;
@@ -6606,5 +6605,5 @@
   background: #f5f5f5;
   text-decoration: none;
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -6643,5 +6642,5 @@
 
 .badge.badge-primary {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -6736,5 +6735,5 @@
 .accordion.custom-accordion .accordion-row .header form .input-group .input-group-append button.accordion-header.btn:focus,
 .header form .input-group .input-group-append .accordion.custom-accordion .accordion-row button.accordion-header.btn:focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -6778,5 +6777,5 @@
 .accordion.custom-accordion.accordion-primary .accordion-row:not(.open) .header form .input-group .input-group-append button.accordion-header.btn:focus,
 .header form .input-group .input-group-append .accordion.custom-accordion.accordion-primary .accordion-row:not(.open) button.accordion-header.btn:focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -6784,5 +6783,5 @@
 .accordion.custom-accordion.accordion-primary .accordion-row.open .header form .input-group .input-group-append button.accordion-header.btn,
 .header form .input-group .input-group-append .accordion.custom-accordion.accordion-primary .accordion-row.open button.accordion-header.btn {
-  background: #0081ff;
+  background: #2196F3;
   color: white;
 }
@@ -6900,4 +6899,13 @@
 }
 
+.nicescroll-cursors {
+  border: none !important;
+}
+
+body:not(.dark) .nicescroll-cursors {
+  background-color: rgba(41, 49, 52, 0.4) !important;
+  width: 3px !important;
+}
+
 .isotope-item {
   z-index: 2;
@@ -6932,13 +6940,13 @@
 
 .daterangepicker td.active {
-  background: #0081ff;
+  background: #2196F3;
 }
 
 .daterangepicker td.active:hover {
-  background: #0081ff;
+  background: #2196F3;
 }
 
 .daterangepicker .ranges li.active {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -6966,9 +6974,9 @@
 
 .alert.alert-primary {
-  background: rgba(0, 129, 255, 0.3) !important;
+  background: rgba(33, 150, 243, 0.3) !important;
 }
 
 .alert.alert-primary.alert-with-border {
-  border-left: 3px solid #0081ff !important;
+  border-left: 3px solid #2196F3 !important;
 }
 
@@ -7042,5 +7050,5 @@
 
 .breadcrumb .breadcrumb-item.active {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -7061,5 +7069,5 @@
 
 .pagination .page-item.active .page-link {
-  background: #0081ff;
+  background: #2196F3;
   border-color: transparent;
 }
@@ -7156,5 +7164,5 @@
 
 .swal-modal .swal-button.swal-button--confirm {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -7178,5 +7186,5 @@
 .irs .irs-to,
 .irs .irs-from {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -7184,13 +7192,13 @@
 .irs .irs-to:before,
 .irs .irs-from:before {
-  border-top-color: #0081ff;
+  border-top-color: #2196F3;
 }
 
 .irs .irs-handle {
-  border-color: #0081ff;
+  border-color: #2196F3;
 }
 
 .irs .irs-bar {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -7230,10 +7238,10 @@
 
 .select2-container--default .select2-results__option--highlighted[aria-selected] {
-  background-color: #0081ff;
+  background-color: #2196F3;
   color: white;
 }
 
 .select2-container--default.select2-container--focus .select2-selection--multiple {
-  border-color: rgba(0, 129, 255, 0.8);
+  border-color: rgba(33, 150, 243, 0.8);
 }
 
@@ -7336,5 +7344,5 @@
 
 .wickedpicker .wickedpicker__controls__control .hover-state {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -7395,5 +7403,5 @@
   -webkit-transition: color 0.3s;
   transition: color 0.3s;
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -7511,5 +7519,5 @@
 
 .avatar.avatar-state-primary:before {
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -7563,5 +7571,5 @@
 .dropzone {
   border-width: 1px;
-  border-color: #0081ff;
+  border-color: #2196F3;
 }
 
@@ -7690,5 +7698,5 @@
 .chat-block .chat-sidebar .chat-sidebar-content .list-group .list-group-item.active {
   color: black;
-  border-color: #0081ff;
+  border-color: #2196F3;
 }
 
@@ -7780,10 +7788,10 @@
   left: auto;
   right: -10px;
-  border-left-color: #0081ff;
+  border-left-color: #2196F3;
   border-right-color: transparent;
 }
 
 .chat-block .chat-content .messages .message-item.me .message-item-content {
-  background-color: #0081ff;
+  background-color: #2196F3;
   color: rgba(255, 255, 255, 0.9);
 }
@@ -7918,5 +7926,5 @@
 
 .fc .fc-event {
-  background: #0081ff;
+  background: #2196F3;
   color: white !important;
   border: none;
@@ -7981,5 +7989,5 @@
 
 .fc .fc-list-table .fc-list-item.bg-primary:hover td {
-  background: #0081ff !important;
+  background: #2196F3 !important;
 }
 
@@ -8012,5 +8020,5 @@
 
 .fc .fc-state-default.fc-state-active {
-  background: #0081ff;
+  background: #2196F3;
   color: white;
 }
@@ -8026,11 +8034,11 @@
 
 .list-group .list-group-item.list-group-item-primary {
-  background: #0081ff !important;
+  background: #2196F3 !important;
   color: white !important;
 }
 
 .list-group .list-group-item.list-group-item-primary-bright {
-  background: rgba(0, 129, 255, 0.3) !important;
-  color: #0081ff !important;
+  background: rgba(33, 150, 243, 0.3) !important;
+  color: #2196F3 !important;
 }
 
@@ -8101,5 +8109,5 @@
 .nav-pills .nav-link.active,
 .nav-pills .show > .nav-link {
-  background-color: #0081ff;
+  background-color: #2196F3;
 }
 
@@ -8335,5 +8343,5 @@
 
 .dd-handle:hover {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -8438,5 +8446,5 @@
 .app-block .app-sidebar .app-sidebar-menu .list-group .list-group-item.active {
   background: none;
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -8641,5 +8649,4 @@
 @media (min-width: 768px) {
   .theme-switcher {
-    opacity: 0;
     display: -webkit-box;
     display: flex;
@@ -8665,7 +8672,7 @@
 
   .theme-switcher .theme-switcher-button {
-    background-color: #0081ff;
+    background-color: #2196F3;
     color: white;
-    padding: 12px 15px;
+    padding: 15px 20px;
     border-top-left-radius: 5px;
     border-bottom-left-radius: 5px;
@@ -8674,9 +8681,9 @@
 
   .theme-switcher .theme-switcher-button i {
-    font-size: 22px;
+    font-size: 30px;
     -webkit-animation-name: spin;
             animation-name: spin;
-    -webkit-animation-duration: 3000ms;
-            animation-duration: 3000ms;
+    -webkit-animation-duration: 2000ms;
+            animation-duration: 2000ms;
     -webkit-animation-iteration-count: infinite;
             animation-iteration-count: infinite;
@@ -8694,5 +8701,5 @@
   .app-block .app-content .theme-switcher .theme-switcher-panel .app-action {
     margin-bottom: 0;
-    border: 1px solid #0081ff;
+    border: 1px solid #2196F3;
     border-right: none;
     border-top-right-radius: 0;
@@ -8781,5 +8788,5 @@
   body.small-navigation:not(.hidden-navigation):not(.horizontal-navigation) .navigation .navigation-menu-body ul .header form .input-group .input-group-append li:hover > button.btn .nav-link-icon,
   .header form .input-group .input-group-append body.small-navigation:not(.hidden-navigation):not(.horizontal-navigation) .navigation .navigation-menu-body ul li:hover > button.btn .nav-link-icon {
-    stroke: #0081ff;
+    stroke: #2196F3;
   }
 
@@ -8818,5 +8825,5 @@
   .header form .input-group .input-group-append body.small-navigation:not(.hidden-navigation):not(.horizontal-navigation) .navigation .navigation-menu-body ul li.open > button.btn + ul li.open > button.btn {
     background: none;
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -8873,5 +8880,5 @@
   .header form .input-group .input-group-append body.small-navigation:not(.hidden-navigation):not(.horizontal-navigation) .navigation .navigation-menu-body > ul > li > button.active.btn {
     border-radius: 5px;
-    background-color: #0081ff;
+    background-color: #2196F3;
     position: static;
   }
@@ -8884,5 +8891,5 @@
 
   body.small-navigation:not(.hidden-navigation):not(.horizontal-navigation) .navigation:hover {
-    /*width: 320px;*/
+    width: 80px;
   }
 
@@ -8949,4 +8956,5 @@
     left: 0;
     opacity: 1;
+      width:80px;
   }
 
@@ -8961,4 +8969,5 @@
     right: 0;
     opacity: 1;
+      width: 80px;
   }
 
@@ -9077,5 +9086,5 @@
   body.horizontal-navigation .header form .input-group .input-group-append .horizontal-navigation > ul > li:hover > button.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation > ul > li:hover > button.btn {
-    color: #0081ff !important;
+    color: #2196F3 !important;
   }
 
@@ -9110,5 +9119,5 @@
   body.horizontal-navigation .horizontal-navigation ul .header form .input-group .input-group-append li.open > button.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li.open > button.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9136,5 +9145,5 @@
   body.horizontal-navigation .horizontal-navigation ul li ul .header form .input-group .input-group-append li:hover > button.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li ul li:hover > button.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9148,5 +9157,5 @@
   body.horizontal-navigation .horizontal-navigation ul li ul li .header form .input-group .input-group-append button.active.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li ul li button.active.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9154,5 +9163,5 @@
   body.horizontal-navigation .horizontal-navigation ul li ul .header form .input-group .input-group-append li.open > button.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li ul li.open > button.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9191,5 +9200,5 @@
     bottom: 0;
     height: auto;
-    /*width: 320px;*/
+    width: 80px;
     background-color: white;
     z-index: 1000;
@@ -9218,5 +9227,5 @@
   body.horizontal-navigation .horizontal-navigation ul li .header form .input-group .input-group-append button.active.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li button.active.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9262,5 +9271,5 @@
   body.horizontal-navigation .horizontal-navigation ul .header form .input-group .input-group-append li.open > button.btn,
   .header form .input-group .input-group-append body.horizontal-navigation .horizontal-navigation ul li.open > button.btn {
-    color: #0081ff;
+    color: #2196F3;
   }
 
@@ -9272,4 +9281,8 @@
     display: block;
   }
+}
+
+body.semi-dark:not(.dark) .nicescroll-cursors {
+  background-color: rgba(255, 255, 255, 0.3) !important;
 }
 
@@ -9301,5 +9314,5 @@
 body.semi-dark:not(.dark) .navigation .navigation-menu-tab ul li .header form .input-group .input-group-append button.btn:not(.active):focus,
 .header form .input-group .input-group-append body.semi-dark:not(.dark) .navigation .navigation-menu-tab ul li button.btn:not(.active):focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -9350,5 +9363,5 @@
 body.semi-dark:not(.dark) .navigation .navigation-menu-body ul li .header form .input-group .input-group-append button.active.btn:after,
 .header form .input-group .input-group-append body.semi-dark:not(.dark) .navigation .navigation-menu-body ul li button.active.btn:after {
-  background-color: #0081ff;
+  background-color: #2196F3;
 }
 
@@ -9380,5 +9393,5 @@
 
 body.semi-dark:not(.dark) .navigation .navigation-menu-body ul li .dropdown-divider {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -9419,5 +9432,5 @@
 body.semi-dark:not(.dark) .header form .input-group .input-group-append .horizontal-navigation > ul > li.open > button.btn,
 .header form .input-group .input-group-append body.semi-dark:not(.dark) .horizontal-navigation > ul > li.open > button.btn {
-  color: #1a8eff;
+  color: #39a1f4;
 }
 
@@ -9431,5 +9444,5 @@
 body.semi-dark:not(.dark) .horizontal-navigation ul li .header form .input-group .input-group-append button.active.btn,
 .header form .input-group .input-group-append body.semi-dark:not(.dark) .horizontal-navigation ul li button.active.btn {
-  color: #1a8eff;
+  color: #39a1f4;
 }
 
@@ -9440,5 +9453,5 @@
 body.semi-dark:not(.dark) .horizontal-navigation ul li .header form .input-group .input-group-append button.btn:not(.active):focus,
 .header form .input-group .input-group-append body.semi-dark:not(.dark) .horizontal-navigation ul li button.btn:not(.active):focus {
-  color: #1a8eff;
+  color: #39a1f4;
 }
 
@@ -9710,5 +9723,5 @@
 .list-group .list-group-item.active {
   z-index: auto;
-  background: #0081ff;
+  background: #2196F3;
 }
 
@@ -9752,5 +9765,5 @@
 .table-email-list .header form .input-group .input-group-append button.btn:focus,
 .header form .input-group .input-group-append .table-email-list button.btn:focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -9786,5 +9799,5 @@
 
 .list-group .list-group-item.active {
-  background: #0081ff;
+  background: #2196F3;
   border-color: transparent;
 }
@@ -9799,9 +9812,9 @@
 
 .nav-pills .nav-link.active {
-  background: #0081ff;
+  background: #2196F3;
 }
 
 .nav-tabs .nav-link.active {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -9984,9 +9997,9 @@
 
 .header .avatar.avatar-state-success:before {
-  border-color: #0081ff;
+  border-color: #2196F3;
 }
 
 .header .header-left {
-  /*width: 320px;*/
+  width: 80px;
   padding-left: 30px;
   display: -webkit-box;
@@ -10197,5 +10210,5 @@
   background-color: white;
   z-index: 998;
-  /*width: 320px;*/
+  width: 80px;
   box-shadow: 0 4px 25px 0 rgba(0, 0, 0, 0.1);
   position: fixed;
@@ -10248,5 +10261,5 @@
 .navigation .navigation-menu-tab ul li .header form .input-group .input-group-append button.btn:hover,
 .header form .input-group .input-group-append .navigation .navigation-menu-tab ul li button.btn:hover {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -10255,6 +10268,6 @@
 .header form .input-group .input-group-append .navigation .navigation-menu-tab ul li button.active.btn {
   color: white;
-  background-color: #0081ff;
-  box-shadow: 0px 5px 20px -14px #0081ff;
+  background-color: #2196F3;
+  box-shadow: 0px 5px 20px -14px #2196F3;
 }
 
@@ -10323,5 +10336,5 @@
 .navigation .navigation-menu-body ul .header form .input-group .input-group-append li > button.btn:hover,
 .header form .input-group .input-group-append .navigation .navigation-menu-body ul li > button.btn:hover {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -10329,5 +10342,5 @@
 .navigation .navigation-menu-body ul .header form .input-group .input-group-append li > button.btn:hover .nav-link-icon,
 .header form .input-group .input-group-append .navigation .navigation-menu-body ul li > button.btn:hover .nav-link-icon {
-  stroke: #0081ff;
+  stroke: #2196F3;
 }
 
@@ -10336,7 +10349,7 @@
 .header form .input-group .input-group-append .navigation .navigation-menu-body ul li > button.active.btn {
   position: relative;
-  color: #0081ff;
+  color: #2196F3;
   font-weight: 600;
-  background: rgba(0, 129, 255, 0.15);
+  background: rgba(33, 150, 243, 0.15);
   border-radius: 0.5rem;
   margin: 0 1rem;
@@ -10349,5 +10362,5 @@
   display: block;
   border: 6px solid transparent;
-  border-left-color: #0081ff;
+  border-left-color: #2196F3;
   margin-left: -12px;
   margin-right: 5px;
@@ -10420,5 +10433,5 @@
 .navigation .navigation-menu-body ul .header form .input-group .input-group-append li.open > button.btn,
 .header form .input-group .input-group-append .navigation .navigation-menu-body ul li.open > button.btn {
-  color: #0081ff;
+  color: #2196F3;
   font-weight: 600;
 }
@@ -10427,5 +10440,5 @@
 .navigation .navigation-menu-body ul .header form .input-group .input-group-append li.open > button.btn .nav-link-icon,
 .header form .input-group .input-group-append .navigation .navigation-menu-body ul li.open > button.btn .nav-link-icon {
-  stroke: #0081ff;
+  stroke: #2196F3;
 }
 
@@ -10706,5 +10719,5 @@
 body.dark .navigation .navigation-menu-tab ul li .header form .input-group .input-group-append button.btn:not(.active):focus,
 .header form .input-group .input-group-append body.dark .navigation .navigation-menu-tab ul li button.btn:not(.active):focus {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -10758,5 +10771,5 @@
 
 body.dark .navigation .navigation-menu-body ul li .dropdown-divider {
-  color: #0081ff;
+  color: #2196F3;
 }
 
@@ -10835,5 +10848,5 @@
 
 body.dark .breadcrumb li.breadcrumb-item.active {
-  color: #339aff;
+  color: #51adf6;
 }
 
@@ -10871,5 +10884,5 @@
 body.dark .swal-modal input.swal-content__input:focus,
 .swal-modal body.dark input.swal-content__input:focus {
-  border-color: #0081ff !important;
+  border-color: #2196F3 !important;
 }
 
@@ -11251,5 +11264,5 @@
 body.dark .daterangepicker td.end-date {
   color: white;
-  background-color: #0081ff;
+  background-color: #2196F3;
 }
 
@@ -11276,5 +11289,5 @@
 body.dark .daterangepicker td.available:hover,
 body.dark .daterangepicker th.available:hover {
-  background-color: #0081ff;
+  background-color: #2196F3;
   color: white;
 }
@@ -11364,4 +11377,8 @@
 body.dark .sidebar {
   background: #313852;
+}
+
+body.dark .nicescroll-cursors {
+  background-color: rgba(255, 255, 255, 0.15) !important;
 }
 
@@ -11741,5 +11758,5 @@
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li ul li button.btn:hover {
     background: none;
-    color: #339aff;
+    color: #51adf6;
   }
 
@@ -11748,5 +11765,5 @@
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li ul li button.active.btn {
     background: none;
-    color: #339aff;
+    color: #51adf6;
   }
 
@@ -11759,5 +11776,5 @@
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li ul li.open > button.btn {
     background: none;
-    color: #339aff;
+    color: #51adf6;
   }
 
@@ -11779,5 +11796,5 @@
   body.dark.horizontal-navigation .horizontal-navigation ul li .header form .input-group .input-group-append button.btn:hover,
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li button.btn:hover {
-    color: #339aff;
+    color: #51adf6;
   }
 
@@ -11785,5 +11802,5 @@
   body.dark.horizontal-navigation .horizontal-navigation ul li .header form .input-group .input-group-append button.active.btn,
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li button.active.btn {
-    color: #339aff;
+    color: #51adf6;
   }
 
@@ -11791,5 +11808,5 @@
   body.dark.horizontal-navigation .horizontal-navigation ul .header form .input-group .input-group-append li.open > button.btn,
   .header form .input-group .input-group-append body.dark.horizontal-navigation .horizontal-navigation ul li.open > button.btn {
-    color: #339aff;
+    color: #51adf6;
   }
 }
@@ -11965,4 +11982,5 @@
     left: 0;
     opacity: 1;
+      width:80px;
   }
 
@@ -12259,5 +12277,5 @@
 
   .navigation {
-    width: 20%;
+    width: 75%;
   }
 
@@ -12273,5 +12291,5 @@
 
   .navigation {
-    width: 20%;
+    width: 85%;
   }
 }