Index: trip-planner-front/node_modules/log-symbols/node_modules/ansi-styles/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/ansi-styles/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/ansi-styles/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,56 +1,92 @@
 {
-	"name": "ansi-styles",
-	"version": "4.3.0",
-	"description": "ANSI escape codes for styling strings in the terminal",
-	"license": "MIT",
-	"repository": "chalk/ansi-styles",
-	"funding": "https://github.com/chalk/ansi-styles?sponsor=1",
-	"author": {
-		"name": "Sindre Sorhus",
-		"email": "sindresorhus@gmail.com",
-		"url": "sindresorhus.com"
-	},
-	"engines": {
-		"node": ">=8"
-	},
-	"scripts": {
-		"test": "xo && ava && tsd",
-		"screenshot": "svg-term --command='node screenshot' --out=screenshot.svg --padding=3 --width=55 --height=3 --at=1000 --no-cursor"
-	},
-	"files": [
-		"index.js",
-		"index.d.ts"
-	],
-	"keywords": [
-		"ansi",
-		"styles",
-		"color",
-		"colour",
-		"colors",
-		"terminal",
-		"console",
-		"cli",
-		"string",
-		"tty",
-		"escape",
-		"formatting",
-		"rgb",
-		"256",
-		"shell",
-		"xterm",
-		"log",
-		"logging",
-		"command-line",
-		"text"
-	],
-	"dependencies": {
-		"color-convert": "^2.0.1"
-	},
-	"devDependencies": {
-		"@types/color-convert": "^1.9.0",
-		"ava": "^2.3.0",
-		"svg-term-cli": "^2.1.1",
-		"tsd": "^0.11.0",
-		"xo": "^0.25.3"
-	}
+  "_args": [
+    [
+      "ansi-styles@4.3.0",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "ansi-styles@4.3.0",
+  "_id": "ansi-styles@4.3.0",
+  "_inBundle": false,
+  "_integrity": "sha512-zbB9rCJAT1rbjiVDb2hqKFHNYLxgtk8NURxZ3IZwD3F6NtxbXZQCnnSi1Lkx+IDohdPlFp222wVALIheZJQSEg==",
+  "_location": "/log-symbols/ansi-styles",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "ansi-styles@4.3.0",
+    "name": "ansi-styles",
+    "escapedName": "ansi-styles",
+    "rawSpec": "4.3.0",
+    "saveSpec": null,
+    "fetchSpec": "4.3.0"
+  },
+  "_requiredBy": [
+    "/log-symbols/chalk"
+  ],
+  "_resolved": "https://registry.npmjs.org/ansi-styles/-/ansi-styles-4.3.0.tgz",
+  "_spec": "4.3.0",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "Sindre Sorhus",
+    "email": "sindresorhus@gmail.com",
+    "url": "sindresorhus.com"
+  },
+  "bugs": {
+    "url": "https://github.com/chalk/ansi-styles/issues"
+  },
+  "dependencies": {
+    "color-convert": "^2.0.1"
+  },
+  "description": "ANSI escape codes for styling strings in the terminal",
+  "devDependencies": {
+    "@types/color-convert": "^1.9.0",
+    "ava": "^2.3.0",
+    "svg-term-cli": "^2.1.1",
+    "tsd": "^0.11.0",
+    "xo": "^0.25.3"
+  },
+  "engines": {
+    "node": ">=8"
+  },
+  "files": [
+    "index.js",
+    "index.d.ts"
+  ],
+  "funding": "https://github.com/chalk/ansi-styles?sponsor=1",
+  "homepage": "https://github.com/chalk/ansi-styles#readme",
+  "keywords": [
+    "ansi",
+    "styles",
+    "color",
+    "colour",
+    "colors",
+    "terminal",
+    "console",
+    "cli",
+    "string",
+    "tty",
+    "escape",
+    "formatting",
+    "rgb",
+    "256",
+    "shell",
+    "xterm",
+    "log",
+    "logging",
+    "command-line",
+    "text"
+  ],
+  "license": "MIT",
+  "name": "ansi-styles",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/chalk/ansi-styles.git"
+  },
+  "scripts": {
+    "screenshot": "svg-term --command='node screenshot' --out=screenshot.svg --padding=3 --width=55 --height=3 --at=1000 --no-cursor",
+    "test": "xo && ava && tsd"
+  },
+  "version": "4.3.0"
 }
Index: trip-planner-front/node_modules/log-symbols/node_modules/chalk/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/chalk/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/chalk/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,68 +1,104 @@
 {
-	"name": "chalk",
-	"version": "4.1.2",
-	"description": "Terminal string styling done right",
-	"license": "MIT",
-	"repository": "chalk/chalk",
-	"funding": "https://github.com/chalk/chalk?sponsor=1",
-	"main": "source",
-	"engines": {
-		"node": ">=10"
-	},
-	"scripts": {
-		"test": "xo && nyc ava && tsd",
-		"bench": "matcha benchmark.js"
-	},
-	"files": [
-		"source",
-		"index.d.ts"
-	],
-	"keywords": [
-		"color",
-		"colour",
-		"colors",
-		"terminal",
-		"console",
-		"cli",
-		"string",
-		"str",
-		"ansi",
-		"style",
-		"styles",
-		"tty",
-		"formatting",
-		"rgb",
-		"256",
-		"shell",
-		"xterm",
-		"log",
-		"logging",
-		"command-line",
-		"text"
-	],
-	"dependencies": {
-		"ansi-styles": "^4.1.0",
-		"supports-color": "^7.1.0"
-	},
-	"devDependencies": {
-		"ava": "^2.4.0",
-		"coveralls": "^3.0.7",
-		"execa": "^4.0.0",
-		"import-fresh": "^3.1.0",
-		"matcha": "^0.7.0",
-		"nyc": "^15.0.0",
-		"resolve-from": "^5.0.0",
-		"tsd": "^0.7.4",
-		"xo": "^0.28.2"
-	},
-	"xo": {
-		"rules": {
-			"unicorn/prefer-string-slice": "off",
-			"unicorn/prefer-includes": "off",
-			"@typescript-eslint/member-ordering": "off",
-			"no-redeclare": "off",
-			"unicorn/string-content": "off",
-			"unicorn/better-regex": "off"
-		}
-	}
+  "_args": [
+    [
+      "chalk@4.1.2",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "chalk@4.1.2",
+  "_id": "chalk@4.1.2",
+  "_inBundle": false,
+  "_integrity": "sha512-oKnbhFyRIXpUuez8iBMmyEa4nbj4IOQyuhc/wy9kY7/WVPcwIO9VA668Pu8RkO7+0G76SLROeyw9CpQ061i4mA==",
+  "_location": "/log-symbols/chalk",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "chalk@4.1.2",
+    "name": "chalk",
+    "escapedName": "chalk",
+    "rawSpec": "4.1.2",
+    "saveSpec": null,
+    "fetchSpec": "4.1.2"
+  },
+  "_requiredBy": [
+    "/log-symbols"
+  ],
+  "_resolved": "https://registry.npmjs.org/chalk/-/chalk-4.1.2.tgz",
+  "_spec": "4.1.2",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "bugs": {
+    "url": "https://github.com/chalk/chalk/issues"
+  },
+  "dependencies": {
+    "ansi-styles": "^4.1.0",
+    "supports-color": "^7.1.0"
+  },
+  "description": "Terminal string styling done right",
+  "devDependencies": {
+    "ava": "^2.4.0",
+    "coveralls": "^3.0.7",
+    "execa": "^4.0.0",
+    "import-fresh": "^3.1.0",
+    "matcha": "^0.7.0",
+    "nyc": "^15.0.0",
+    "resolve-from": "^5.0.0",
+    "tsd": "^0.7.4",
+    "xo": "^0.28.2"
+  },
+  "engines": {
+    "node": ">=10"
+  },
+  "files": [
+    "source",
+    "index.d.ts"
+  ],
+  "funding": "https://github.com/chalk/chalk?sponsor=1",
+  "homepage": "https://github.com/chalk/chalk#readme",
+  "keywords": [
+    "color",
+    "colour",
+    "colors",
+    "terminal",
+    "console",
+    "cli",
+    "string",
+    "str",
+    "ansi",
+    "style",
+    "styles",
+    "tty",
+    "formatting",
+    "rgb",
+    "256",
+    "shell",
+    "xterm",
+    "log",
+    "logging",
+    "command-line",
+    "text"
+  ],
+  "license": "MIT",
+  "main": "source",
+  "name": "chalk",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/chalk/chalk.git"
+  },
+  "scripts": {
+    "bench": "matcha benchmark.js",
+    "test": "xo && nyc ava && tsd"
+  },
+  "version": "4.1.2",
+  "xo": {
+    "rules": {
+      "unicorn/prefer-string-slice": "off",
+      "unicorn/prefer-includes": "off",
+      "@typescript-eslint/member-ordering": "off",
+      "no-redeclare": "off",
+      "unicorn/string-content": "off",
+      "unicorn/better-regex": "off"
+    }
+  }
 }
Index: trip-planner-front/node_modules/log-symbols/node_modules/color-convert/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/color-convert/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/color-convert/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,16 +1,56 @@
 {
-  "name": "color-convert",
+  "_args": [
+    [
+      "color-convert@2.0.1",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "color-convert@2.0.1",
+  "_id": "color-convert@2.0.1",
+  "_inBundle": false,
+  "_integrity": "sha512-RRECPsj7iu/xb5oKYcsFHSppFNnsj/52OVTRKb4zP5onXwVF3zVmmToNcOfGC+CRDpfK/U584fMg38ZHCaElKQ==",
+  "_location": "/log-symbols/color-convert",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "color-convert@2.0.1",
+    "name": "color-convert",
+    "escapedName": "color-convert",
+    "rawSpec": "2.0.1",
+    "saveSpec": null,
+    "fetchSpec": "2.0.1"
+  },
+  "_requiredBy": [
+    "/log-symbols/ansi-styles"
+  ],
+  "_resolved": "https://registry.npmjs.org/color-convert/-/color-convert-2.0.1.tgz",
+  "_spec": "2.0.1",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "Heather Arthur",
+    "email": "fayearthur@gmail.com"
+  },
+  "bugs": {
+    "url": "https://github.com/Qix-/color-convert/issues"
+  },
+  "dependencies": {
+    "color-name": "~1.1.4"
+  },
   "description": "Plain color conversion functions",
-  "version": "2.0.1",
-  "author": "Heather Arthur <fayearthur@gmail.com>",
-  "license": "MIT",
-  "repository": "Qix-/color-convert",
-  "scripts": {
-    "pretest": "xo",
-    "test": "node test/basic.js"
+  "devDependencies": {
+    "chalk": "^2.4.2",
+    "xo": "^0.24.0"
   },
   "engines": {
     "node": ">=7.0.0"
   },
+  "files": [
+    "index.js",
+    "conversions.js",
+    "route.js"
+  ],
+  "homepage": "https://github.com/Qix-/color-convert#readme",
   "keywords": [
     "color",
@@ -27,9 +67,15 @@
     "ansi16"
   ],
-  "files": [
-    "index.js",
-    "conversions.js",
-    "route.js"
-  ],
+  "license": "MIT",
+  "name": "color-convert",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/Qix-/color-convert.git"
+  },
+  "scripts": {
+    "pretest": "xo",
+    "test": "node test/basic.js"
+  },
+  "version": "2.0.1",
   "xo": {
     "rules": {
@@ -38,11 +84,4 @@
       "operator-linebreak": 0
     }
-  },
-  "devDependencies": {
-    "chalk": "^2.4.2",
-    "xo": "^0.24.0"
-  },
-  "dependencies": {
-    "color-name": "~1.1.4"
   }
 }
Index: trip-planner-front/node_modules/log-symbols/node_modules/color-name/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/color-name/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/color-name/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,17 +1,44 @@
 {
-  "name": "color-name",
-  "version": "1.1.4",
+  "_args": [
+    [
+      "color-name@1.1.4",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "color-name@1.1.4",
+  "_id": "color-name@1.1.4",
+  "_inBundle": false,
+  "_integrity": "sha512-dOy+3AuW3a2wNbZHIuMZpTcgjGuLU/uBL/ubcZF9OXbDo8ff4O8yVp5Bf0efS8uEoYo5q4Fx7dY9OgQGXgAsQA==",
+  "_location": "/log-symbols/color-name",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "color-name@1.1.4",
+    "name": "color-name",
+    "escapedName": "color-name",
+    "rawSpec": "1.1.4",
+    "saveSpec": null,
+    "fetchSpec": "1.1.4"
+  },
+  "_requiredBy": [
+    "/log-symbols/color-convert"
+  ],
+  "_resolved": "https://registry.npmjs.org/color-name/-/color-name-1.1.4.tgz",
+  "_spec": "1.1.4",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "DY",
+    "email": "dfcreative@gmail.com"
+  },
+  "bugs": {
+    "url": "https://github.com/colorjs/color-name/issues"
+  },
   "description": "A list of color names and its values",
-  "main": "index.js",
   "files": [
     "index.js"
   ],
-  "scripts": {
-    "test": "node test.js"
-  },
-  "repository": {
-    "type": "git",
-    "url": "git@github.com:colorjs/color-name.git"
-  },
+  "homepage": "https://github.com/colorjs/color-name",
   "keywords": [
     "color-name",
@@ -20,9 +47,14 @@
     "keyword"
   ],
-  "author": "DY <dfcreative@gmail.com>",
   "license": "MIT",
-  "bugs": {
-    "url": "https://github.com/colorjs/color-name/issues"
+  "main": "index.js",
+  "name": "color-name",
+  "repository": {
+    "type": "git",
+    "url": "git+ssh://git@github.com/colorjs/color-name.git"
   },
-  "homepage": "https://github.com/colorjs/color-name"
+  "scripts": {
+    "test": "node test.js"
+  },
+  "version": "1.1.4"
 }
Index: trip-planner-front/node_modules/log-symbols/node_modules/has-flag/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/has-flag/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/has-flag/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,46 +1,82 @@
 {
-	"name": "has-flag",
-	"version": "4.0.0",
-	"description": "Check if argv has a specific flag",
-	"license": "MIT",
-	"repository": "sindresorhus/has-flag",
-	"author": {
-		"name": "Sindre Sorhus",
-		"email": "sindresorhus@gmail.com",
-		"url": "sindresorhus.com"
-	},
-	"engines": {
-		"node": ">=8"
-	},
-	"scripts": {
-		"test": "xo && ava && tsd"
-	},
-	"files": [
-		"index.js",
-		"index.d.ts"
-	],
-	"keywords": [
-		"has",
-		"check",
-		"detect",
-		"contains",
-		"find",
-		"flag",
-		"cli",
-		"command-line",
-		"argv",
-		"process",
-		"arg",
-		"args",
-		"argument",
-		"arguments",
-		"getopt",
-		"minimist",
-		"optimist"
-	],
-	"devDependencies": {
-		"ava": "^1.4.1",
-		"tsd": "^0.7.2",
-		"xo": "^0.24.0"
-	}
+  "_args": [
+    [
+      "has-flag@4.0.0",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "has-flag@4.0.0",
+  "_id": "has-flag@4.0.0",
+  "_inBundle": false,
+  "_integrity": "sha512-EykJT/Q1KjTWctppgIAgfSO0tKVuZUjhgMr17kqTumMl6Afv3EISleU7qZUzoXDFTAHTDC4NOoG/ZxU3EvlMPQ==",
+  "_location": "/log-symbols/has-flag",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "has-flag@4.0.0",
+    "name": "has-flag",
+    "escapedName": "has-flag",
+    "rawSpec": "4.0.0",
+    "saveSpec": null,
+    "fetchSpec": "4.0.0"
+  },
+  "_requiredBy": [
+    "/log-symbols/supports-color"
+  ],
+  "_resolved": "https://registry.npmjs.org/has-flag/-/has-flag-4.0.0.tgz",
+  "_spec": "4.0.0",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "Sindre Sorhus",
+    "email": "sindresorhus@gmail.com",
+    "url": "sindresorhus.com"
+  },
+  "bugs": {
+    "url": "https://github.com/sindresorhus/has-flag/issues"
+  },
+  "description": "Check if argv has a specific flag",
+  "devDependencies": {
+    "ava": "^1.4.1",
+    "tsd": "^0.7.2",
+    "xo": "^0.24.0"
+  },
+  "engines": {
+    "node": ">=8"
+  },
+  "files": [
+    "index.js",
+    "index.d.ts"
+  ],
+  "homepage": "https://github.com/sindresorhus/has-flag#readme",
+  "keywords": [
+    "has",
+    "check",
+    "detect",
+    "contains",
+    "find",
+    "flag",
+    "cli",
+    "command-line",
+    "argv",
+    "process",
+    "arg",
+    "args",
+    "argument",
+    "arguments",
+    "getopt",
+    "minimist",
+    "optimist"
+  ],
+  "license": "MIT",
+  "name": "has-flag",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/sindresorhus/has-flag.git"
+  },
+  "scripts": {
+    "test": "xo && ava && tsd"
+  },
+  "version": "4.0.0"
 }
Index: trip-planner-front/node_modules/log-symbols/node_modules/supports-color/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/node_modules/supports-color/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/node_modules/supports-color/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,53 +1,89 @@
 {
-	"name": "supports-color",
-	"version": "7.2.0",
-	"description": "Detect whether a terminal supports color",
-	"license": "MIT",
-	"repository": "chalk/supports-color",
-	"author": {
-		"name": "Sindre Sorhus",
-		"email": "sindresorhus@gmail.com",
-		"url": "sindresorhus.com"
-	},
-	"engines": {
-		"node": ">=8"
-	},
-	"scripts": {
-		"test": "xo && ava"
-	},
-	"files": [
-		"index.js",
-		"browser.js"
-	],
-	"keywords": [
-		"color",
-		"colour",
-		"colors",
-		"terminal",
-		"console",
-		"cli",
-		"ansi",
-		"styles",
-		"tty",
-		"rgb",
-		"256",
-		"shell",
-		"xterm",
-		"command-line",
-		"support",
-		"supports",
-		"capability",
-		"detect",
-		"truecolor",
-		"16m"
-	],
-	"dependencies": {
-		"has-flag": "^4.0.0"
-	},
-	"devDependencies": {
-		"ava": "^1.4.1",
-		"import-fresh": "^3.0.0",
-		"xo": "^0.24.0"
-	},
-	"browser": "browser.js"
+  "_args": [
+    [
+      "supports-color@7.2.0",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "supports-color@7.2.0",
+  "_id": "supports-color@7.2.0",
+  "_inBundle": false,
+  "_integrity": "sha512-qpCAvRl9stuOHveKsn7HncJRvv501qIacKzQlO/+Lwxc9+0q2wLyv4Dfvt80/DPn2pqOBsJdDiogXGR9+OvwRw==",
+  "_location": "/log-symbols/supports-color",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "supports-color@7.2.0",
+    "name": "supports-color",
+    "escapedName": "supports-color",
+    "rawSpec": "7.2.0",
+    "saveSpec": null,
+    "fetchSpec": "7.2.0"
+  },
+  "_requiredBy": [
+    "/log-symbols/chalk"
+  ],
+  "_resolved": "https://registry.npmjs.org/supports-color/-/supports-color-7.2.0.tgz",
+  "_spec": "7.2.0",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "Sindre Sorhus",
+    "email": "sindresorhus@gmail.com",
+    "url": "sindresorhus.com"
+  },
+  "browser": "browser.js",
+  "bugs": {
+    "url": "https://github.com/chalk/supports-color/issues"
+  },
+  "dependencies": {
+    "has-flag": "^4.0.0"
+  },
+  "description": "Detect whether a terminal supports color",
+  "devDependencies": {
+    "ava": "^1.4.1",
+    "import-fresh": "^3.0.0",
+    "xo": "^0.24.0"
+  },
+  "engines": {
+    "node": ">=8"
+  },
+  "files": [
+    "index.js",
+    "browser.js"
+  ],
+  "homepage": "https://github.com/chalk/supports-color#readme",
+  "keywords": [
+    "color",
+    "colour",
+    "colors",
+    "terminal",
+    "console",
+    "cli",
+    "ansi",
+    "styles",
+    "tty",
+    "rgb",
+    "256",
+    "shell",
+    "xterm",
+    "command-line",
+    "support",
+    "supports",
+    "capability",
+    "detect",
+    "truecolor",
+    "16m"
+  ],
+  "license": "MIT",
+  "name": "supports-color",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/chalk/supports-color.git"
+  },
+  "scripts": {
+    "test": "xo && ava"
+  },
+  "version": "7.2.0"
 }
Index: trip-planner-front/node_modules/log-symbols/package.json
===================================================================
--- trip-planner-front/node_modules/log-symbols/package.json	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
+++ trip-planner-front/node_modules/log-symbols/package.json	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
@@ -1,52 +1,88 @@
 {
-	"name": "log-symbols",
-	"version": "4.1.0",
-	"description": "Colored symbols for various log levels. Example: `✔︎ Success`",
-	"license": "MIT",
-	"repository": "sindresorhus/log-symbols",
-	"funding": "https://github.com/sponsors/sindresorhus",
-	"author": {
-		"name": "Sindre Sorhus",
-		"email": "sindresorhus@gmail.com",
-		"url": "https://sindresorhus.com"
-	},
-	"engines": {
-		"node": ">=10"
-	},
-	"scripts": {
-		"test": "xo && ava && tsd"
-	},
-	"files": [
-		"index.js",
-		"index.d.ts",
-		"browser.js"
-	],
-	"keywords": [
-		"unicode",
-		"cli",
-		"cmd",
-		"command-line",
-		"characters",
-		"symbol",
-		"symbols",
-		"figure",
-		"figures",
-		"fallback",
-		"windows",
-		"log",
-		"logging",
-		"terminal",
-		"stdout"
-	],
-	"dependencies": {
-		"chalk": "^4.1.0",
-		"is-unicode-supported": "^0.1.0"
-	},
-	"devDependencies": {
-		"ava": "^2.4.0",
-		"strip-ansi": "^6.0.0",
-		"tsd": "^0.14.0",
-		"xo": "^0.38.2"
-	},
-	"browser": "browser.js"
+  "_args": [
+    [
+      "log-symbols@4.1.0",
+      "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front"
+    ]
+  ],
+  "_development": true,
+  "_from": "log-symbols@4.1.0",
+  "_id": "log-symbols@4.1.0",
+  "_inBundle": false,
+  "_integrity": "sha512-8XPvpAA8uyhfteu8pIvQxpJZ7SYYdpUivZpGy6sFsBuKRY/7rQGavedeB8aK+Zkyq6upMFVL/9AW6vOYzfRyLg==",
+  "_location": "/log-symbols",
+  "_phantomChildren": {},
+  "_requested": {
+    "type": "version",
+    "registry": true,
+    "raw": "log-symbols@4.1.0",
+    "name": "log-symbols",
+    "escapedName": "log-symbols",
+    "rawSpec": "4.1.0",
+    "saveSpec": null,
+    "fetchSpec": "4.1.0"
+  },
+  "_requiredBy": [
+    "/ora"
+  ],
+  "_resolved": "https://registry.npmjs.org/log-symbols/-/log-symbols-4.1.0.tgz",
+  "_spec": "4.1.0",
+  "_where": "C:\\Users\\DELL\\Desktop\\bachelor-thesis\\trip-planner-front",
+  "author": {
+    "name": "Sindre Sorhus",
+    "email": "sindresorhus@gmail.com",
+    "url": "https://sindresorhus.com"
+  },
+  "browser": "browser.js",
+  "bugs": {
+    "url": "https://github.com/sindresorhus/log-symbols/issues"
+  },
+  "dependencies": {
+    "chalk": "^4.1.0",
+    "is-unicode-supported": "^0.1.0"
+  },
+  "description": "Colored symbols for various log levels. Example: `✔︎ Success`",
+  "devDependencies": {
+    "ava": "^2.4.0",
+    "strip-ansi": "^6.0.0",
+    "tsd": "^0.14.0",
+    "xo": "^0.38.2"
+  },
+  "engines": {
+    "node": ">=10"
+  },
+  "files": [
+    "index.js",
+    "index.d.ts",
+    "browser.js"
+  ],
+  "funding": "https://github.com/sponsors/sindresorhus",
+  "homepage": "https://github.com/sindresorhus/log-symbols#readme",
+  "keywords": [
+    "unicode",
+    "cli",
+    "cmd",
+    "command-line",
+    "characters",
+    "symbol",
+    "symbols",
+    "figure",
+    "figures",
+    "fallback",
+    "windows",
+    "log",
+    "logging",
+    "terminal",
+    "stdout"
+  ],
+  "license": "MIT",
+  "name": "log-symbols",
+  "repository": {
+    "type": "git",
+    "url": "git+https://github.com/sindresorhus/log-symbols.git"
+  },
+  "scripts": {
+    "test": "xo && ava && tsd"
+  },
+  "version": "4.1.0"
 }